1. contest
server
  • auth
    • sign-up
      POST
    • confirm-email
      POST
    • regenerate-confirm-email-code
      GET
    • login-user
      POST
    • reset-password-token
      POST
    • reset-password
      POST
    • get-current-user
      GET
    • verify-with-2fa
      POST
  • Job
    • post-Job
      POST
    • get-jobs
      GET
    • get-job-by-id
      GET
    • apply-job
      POST
    • get-internal-applied-jobs
      GET
    • get-all-applied-jobs
      GET
    • talent-matching
      GET
  • profile
    • get-profile
      GET
    • update-profile
      PATCH
  • security
    • generate-2fa
    • verify-2fa
    • disable-2fa
  • chatbot
    • prompt-ai
  • feeds
    • post
    • get-all-posts
    • like-post
    • bookmark-post
    • comment-post
    • get-comments
  • cms
    • content
      • post-content
      • get-all-content
      • get-content-by-id
      • update-content
      • delete-content
    • contest
      • post-contest
        POST
      • get-contest
        GET
      • get-contest-by-id
        GET
      • update-contest
        PATCH
      • delete-contest
        DELETE
    • webinar
      • create-webinar
      • register-webinar
      • speaker-application
      • get-speaker-applications
      • get-all-webinars
      • create-faqs
      • get-faqs
    • winner-spotlight
      • create-winner-spotlight
      • get-winner-spotlights
      • get-winner-spotlight-by-id
      • update-winner-spotlight
      • delete-winner-spotlight
  • socials
    • follow
      • follow-user
      • unfollow-user
    • chats
      • send-message
      • get-chats
      • get-chat-by-id
  • talent
    • apply-talent
    • get-talents-applications
    • talent-application-review
    • user-get-talents
  1. contest

update-contest

Developing
PATCH
/contests/update/68937e2d54f2dbcabe36f9c9

Request

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/contests/update/68937e2d54f2dbcabe36f9c9' \
--header 'Content-Type: application/json' \
--data '{
        "title": "UI/UX Redesign Challenge: Music App",
        "slug": "ui-ux-redesign-challenge-music-app",
        "description": "Reimagine the user interface and experience for a mobile music streaming app. Focus on improving discovery, usability, and visual appeal.",
        "rules": "1. Submit at least 3 key screens (Home, Player, Library). 2. Provide a link to a public Figma or Adobe XD prototype. 3. Explain your design process in a brief case study.",
        "startDate": "2024-10-01T09:00:00.000Z",
        "endDate": "2024-10-30T23:59:59.000Z",
        "prize": "1-Year Full Subscription to Adobe Creative Cloud.",
        "featuredImage": "https://images.unsplash.com/photo-1511379938547-c1f69419868d"
    }'
Response Response Example
{}
Modified at 2025-08-06 16:16:03
Previous
get-contest-by-id
Next
delete-contest
Built with